Skip to main content
GET
/
v1
/
me
/
notifications
/
feed
List Notifications Feed
curl --request GET \
  --url https://api.example.com/v1/me/notifications/feed \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "title": "<string>",
      "body": "<string>",
      "created_at": "<string>",
      "entity_type": "<string>",
      "entity_id": "<string>",
      "source": "<string>",
      "actor": {},
      "read": false,
      "read_at": "<string>",
      "link": "<string>"
    }
  ],
  "page": {},
  "unread_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Page size (max 50)

Required range: 1 <= x <= 50
cursor
string | null
unread_only
boolean
default:false

Return only unread items

type
string | null

Prefix filter e.g. 'prediction.'

since
string | null

ISO 8601 — return items created after this

Response

Successful Response

data
Notification · object[]
required
page
Page · object
required
unread_count
integer
required